Appearance
Customers
Customer List
GET /api/v2/customer_list : List of customers along with the fields available for each customer.
Example request
GET /api/v2/customer_list?api_secret_key=<api_secret_key>Example response
json
{
"data":[
{
"id": 41,
"email": "john.doe@example.com",
"company_name": "Locaboo G",
"first_name": "Matthias",
"last_name": "Dillmann",
"show_name": "Locaboo G",
"created": "2015-05-13T14:49:41+02:00",
"customer_id": 2024,
"customer_number": 100079,
"customer_number_prefix": null,
"tags": [
{
"id": 513296,
"customer_id": 41,
"key": "customer_tag",
"value": "1",
"tag": {
"id": 1,
"manager_id": 46,
"tag_name": "Tag 3000",
"created_by": 46,
"created_date": "2019-07-23T00:00:00+02:00"
}
},
{
"id": 513297,
"customer_id": 41,
"key": "customer_tag",
"value": "4",
"tag": {
"id": 4,
"manager_id": 46,
"tag_name": "Tag 3",
"created_by": 46,
"created_date": "2019-07-23T00:00:00+02:00"
}
}
],
"groups": [
{
"id": 513298,
"customer_id": 41,
"key": "customer_group_id",
"value": "145",
"group": {
"id": 145,
"user_id": 46,
"name": "Gang 1",
"description": "",
"public_group": 0,
"defult_group": 0
}
}
],
"street": null,
"zip": null,
"city": null,
"phone": null,
"noletter": null,
"color": null,
"salutation": null,
"country": null,
"house_number": null,
"customer_account_number": null,
"salutation_title": null,
"last_login": "2017-03-10T16:34:37+01:00",
"customer_created_date": "2015-05-13T14:49:41+02:00"
},
{
"id": 48,
"email": "customer@locaboo.com",
"company_name": "Locaboo B",
"first_name": "Test",
"last_name": "Customer",
"show_name": "Locaboo B",
"created": "2015-06-01T15:47:18+02:00",
"customer_id": 2025,
"customer_number": null,
"customer_number_prefix": null,
"tags": [],
"groups": [],
"street": null,
"zip": null,
"city": null,
"phone": null,
"noletter": null,
"color": null,
"salutation": null,
"country": null,
"house_number": null,
"customer_account_number": null,
"salutation_title": null,
"last_login": "",
"customer_created_date": "2015-06-01T15:47:18+02:00"
},
{
"id": 54,
"email": "customer_d@locaboo.com",
"company_name": "Locaboo D",
"first_name": "Customer",
"last_name": "D",
"show_name": "Locaboo D",
"created": "2015-06-12T07:25:55+02:00",
"customer_id": 2026,
"customer_number": null,
"customer_number_prefix": null,
"tags": [],
"groups": [],
"street": null,
"zip": null,
"city": null,
"phone": null,
"noletter": null,
"color": null,
"salutation": null,
"country": null,
"house_number": null,
"customer_account_number": null,
"salutation_title": null,
"last_login": "",
"customer_created_date": "2015-06-12T07:25:55+02:00"
}
],
"total":3,
"success":true
}Customer Add
POST /api/v2/customer_add : Add new customer.
- Every call expects the following parameters:
color,customer_number,customer_number_prefix,customer_account_number,debtor_account_number,customer_group_id,customer_tags,default_customer_group,company_name,customer_department,matriculation_number,salutation,salutation_title,customer_function,first_name,last_name,show_name,street,house_number,zip,city,country,ust_id,email,phone,website,mobile,customer_newsletter,bank_owner,iban,bic,mandate,internal_comment,reference_sign_shown_invoice,reference_sign,financial_number_shown_invoice,financial_number,cost_centre_shown_invoice,cost_centre,general_ledger_shown_invoice,general_ledger,reference_number_shown_invoice,reference_number,master_id,primion_id colorfield accepts the color value in Hex Code format eg:#ff0000.customer_numberfield accepts the customer number.customer_number_prefixfield accepts the prefix for the customer number.customer_account_numberfield accepts the customer account number.debtor_account_numberfield accepts the customer debtor account number.customer_group_idfield accepts the customer group ID.customer_tagsfield accepts the customer tags.default_customer_groupfield accepts the customer default group.company_namefield accepts the customer company name.customer_departmentfield accepts the customer department.matriculation_numberfield accepts the customer matriculation number.salutationfield accepts the customer salutation, accepted values0/1(0 = Mr., 1 = Ms./Mrs.).salutation_titlefield accepts the customer salutation title, accepted values0/1(0 = Dr., 1 = Pr.).customer_functionfield accepts the customer function.first_namefield accepts the customer first name.last_namefield accepts the customer last name.show_namefield accepts the customer shown name.street,house_number,zip,city,countryfields accept the customer address details.ust_id,email,phone,website,mobilefields accept the customer communication details.customer_newsletterfield accepts the customer newsletter agreement, accepted values0/1.bank_owner,iban,bic,mandatefields accept the customer payment info.internal_comment,reference_sign_shown_invoice,reference_sign,financial_number_shown_invoice,financial_number,cost_centre_shown_invoice,cost_centre,general_ledger_shown_invoice,general_ledger,reference_number_shown_invoice,reference_number,master_id,primion_idfields accept the customer additional settings.
Example request
POST /api/v2/customer_addExample response
json
{
"data":[
{
"id":1234,
"message":"Successfully Added"
}
],
"success":true
}Customer Edit
POST /api/v2/customer_edit : Edit existing customer.
- Every call expects the same parameters as Customer Add, plus
customer_idas the first parameter. customer_idfield accepts the customer's ID. This is required.
Example request
POST /api/v2/customer_editExample response
json
{
"data":[
{
"id":1234,
"message":"Edited successfully"
}
],
"success":true
}Customer Address Add
POST /api/v2/customer_address_add : Add customer addresses.
- Every call expects the following parameters:
customer_id,address customer_idfield accepts the customer's ID. This is required.addressfield accepts an array of addresses. The format of the address array is as follows:php'address' => [{ 'company_name' => '', 'salutation' => 0/1 (0 = Mr., 1 = Ms./Mrs.), 'salutation_title' => 0/1 (0 = Dr., 1 = Pr.), 'function' => '', 'first_name' => '', 'last_name' => '', 'street' => '', 'house_number' => '', 'zip' => '', 'city' => '', 'country' => 'DE', 'UstID' => '', 'address_type' => '' / 'secondary', 'phone' => '', 'email' => '', 'mobile' => '', }, {...}, ..]
Example request
POST /api/v2/customer_address_addExample response
json
{
"data":[
{
"id":1234,
"message":"Successfully Added"
}
],
"success":true
}